CVE-2003-0212

NameCVE-2003-0212
DescriptionhandleAccept in rinetd before 0.62 does not properly resize the connection list when it becomes full and sets an array index incorrectly, which allows remote attackers to cause a denial of service and possibly execute arbitrary code via a large number of connections.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-289
NVD severityhigh (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
rinetd (PTS)wheezy, jessie0.62-5.1fixed
buster, stretch, sid0.62.1sam-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
rinetdsource(unstable)0.61-2high
rinetdsourcewoody0.61-1.1highDSA-289

Search for package or bug name: Reporting problems